<template>
  <div class="all">
    <meta name="viewport" content="width=device-width,initial scale=" />
    <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css" />
    <!-- <DATABASE /> -->
    <p v-if="!docss.length" class="no-records">No Records Found</p>

    <v-container fill-height fluid class="error" v-if="!docss.length">
      <v-row align="center" justify="center">
        <v-col>
          <v-alert dense outlined type="error">
            Dashboard <strong>Empty</strong>
          </v-alert>
        </v-col>
      </v-row>
    </v-container>
    <NewData
      v-for="(user, i) in docss"
      :key="i"
      :tableHeder="user.id"
      :tabelContent="user.order"
      :index="i"
      @onDelete="DeleteFunc"
    />
  </div>
</template>

<script>
import { db } from "../firebase/db";
import NewData from "../components/newData";
export default {
  components: {
    NewData,
  },
  data() {
    return {
      docss: [],
    };
  },
  methods: {
    check() {
      db.collection("crackers").onSnapshot((querySnapshot) => {
        querySnapshot.forEach((doc) => {
          const doc2 = doc.data();
          doc2.id = doc.id;
          this.docss.push(doc2);
        });
        // debugger; // eslint-disable-line no-debugger

        // db.collection("payment").onSnapshot((querySnapshot) => {
        //   querySnapshot.forEach((doc) => {
        //     const doc3 = doc.data();

        //     this.pay = doc3;
        //     console.log(this.Pay);
        //   });
        // });
      });
    },
    DeleteFunc() {
      // debugger; // eslint-disable-line no-debugger
      this.docss = [];
    },
  },
  mounted() {
    this.check();
  },
};
</script>
<style scoped>
.all {
  padding-top: 52px;
}
.no-records {
  font-size: 40px;
  text-align: center;
}
.error {
  text-align: center;
}
</style>
